Bug 53282 - window placement problems
window placement problems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 20:34 EDT by Landon Curt Noll
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-06 09:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Landon Curt Noll 2001-09-05 20:34:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.2.19-7.0.8 i686)

Description of problem:
The saved position of windows is not remembered correctly at login.
Often windows re-appear slightly shifted from their saved positions,
perhaps
as much as the width of the window border.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure gnome to use the sawfish window manager, Gradient theme and
   a 3x3 workspace pannel
2.place 4 windows in the first workspace, tile them so that they completely
cover
   the entire area above the pannel.
3.logout and select 'save current setup'
4. login
	

Actual Results:  The windows will not appear where you place them.

Expected Results:  The windows should have been placed in the exact
position on which they were saved.

Additional info:

This bug is extremely annoying when one attempts to carefully build a
workspace
with a number of small status windows.  The misplacement will cause windows
to cover up portions of nearby windows.  If you repeat the process of
saving
the current setup, the windows can shift quite far.  Sometimes the window
will
shift into a nearby workspace if it is shifted off the edge.  This can be
very
bad when the operator assumes that window placement has some meaning.

Sometimes windows that are saved in a workspace other than the
upper left-hand corner workspace will pop up in the wrong workspace.
For example if you save a window in the middle right (in a 3x3 workspace)
it will come up in the upper-left on the next login.  You should, however
see
window drift and positioning problems with even a 1x1 single workspace
configuration.  The wrong workspace popup problem seems to show up
when one has a dozen or two windows spread thruout the 9 workspaces
in a 3x3 configuration.

This is a high problem for us as windows that move out of a workspace can
make it appear to our operator as if a system has crashed or that a
function
is no longer available.  This is particularlly true on a multi-workspace
configuration where the window placement gets reset to the upper-left
workspace.
Comment 1 Landon Curt Noll 2001-09-05 21:07:19 EDT
Allow me to clarify the workspace issue.  We use just 1 workspace that
has 3 rows and 3 columns.  (See Workspaces under the Sawfish
window manager in the Gnome control center.)
Comment 2 Havoc Pennington 2002-02-25 18:00:20 EST
Sawfish in rawhide should be better about this, and the move to GNOME 2 should
fix remaining issues when we make that move.

Note You need to log in before you can comment on or make changes to this bug.